Bug 10218 - Add individual CSS classes for bibliographic information on OPAC results and detail pages (UNIMARC)
Summary: Add individual CSS classes for bibliographic information on OPAC results and ...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: mathieu saby
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-08 14:30 UTC by Nicole C. Engard
Modified: 2014-12-07 20:02 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
online access id (116.68 KB, image/png)
2013-05-08 14:30 UTC, Nicole C. Engard
Details
Bug 10218 - In OPAC XSLT search results, add class to 'online access' (16.12 KB, patch)
2013-05-13 19:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10218 - In OPAC XSLT search results, add class to 'online access' (16.13 KB, patch)
2013-05-22 00:18 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 10218 - In OPAC XSLT search results, add class to 'online access' (16.22 KB, patch)
2013-05-25 03:56 UTC, Chris Cormack
Details | Diff | Splinter Review
[PATCH] Bug 10218 : Followup for UNIMARC (13.37 KB, patch)
2013-06-13 18:34 UTC, mathieu saby
Details | Diff | Splinter Review
Bug 10218 : Followup for UNIMARC (13.50 KB, patch)
2013-08-28 01:40 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10218 : Followup for UNIMARC (13.52 KB, patch)
2013-08-28 01:41 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 10218: Add individual CSS classes for bibliographic information in OPAC (UNIMARC) (13.70 KB, patch)
2013-09-07 19:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-05-08 14:30:20 UTC
Created attachment 18028 [details]
online access id

See attached. It would be nice to be able to style the 'online access' text but the label doesn't have a unique ID.
Comment 1 Owen Leonard 2013-05-13 19:15:43 UTC Comment hidden (obsolete)
Comment 2 Galen Charlton 2013-05-22 00:18:22 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2013-05-25 03:56:04 UTC Comment hidden (obsolete)
Comment 4 mathieu saby 2013-05-26 11:13:15 UTC
I did not look, but I suppose a followup can be made for UNIMARC (in an other patch?)

M. Saby
Comment 5 Galen Charlton 2013-05-28 15:09:29 UTC
Pushed to master.  Thanks, Owen!

Setting status to assigned to Mathieu for a UNIMARC followup.
Comment 6 Galen Charlton 2013-05-28 15:10:08 UTC
Comment on attachment 18402 [details] [review]
Bug 10218 - In OPAC XSLT search results, add class to 'online access'

Marking patch obsolete now that it has been pushed to master but with a UNIMARC follow-up to be expected.
Comment 7 mathieu saby 2013-05-28 15:13:25 UTC
Galen, I never really understood that : must or must not a followup for a patch already pushed in master be attached to a new bug ?
From a discussion under an other bug, I believe it is a good practice?

M. Saby
Comment 8 Galen Charlton 2013-05-29 16:25:40 UTC
(In reply to comment #7)
> Galen, I never really understood that : must or must not a followup for a
> patch already pushed in master be attached to a new bug ?
> From a discussion under an other bug, I believe it is a good practice?

Well, the original bug description didn't specify that it was a MARC21-only bug.  The perfect patch for this bug would have handled all of the MARC flavors that are currently supported, but as that didn't happen, I chose to leave the bug open.  

More broadly: unless a bug is truly specific to a particular MARC format, IMO we should aim for *complete* patches.

However, this is a preference, not a requirement.  If you prefer to open a new bug, you are free to do so.  If you do that, please link it to this one via a dependency or a comment citing the new bug number.
Comment 9 mathieu saby 2013-05-29 20:25:36 UTC
In the past, some other bugs about XSLT or installation were MARC21 specific, without anouncing it.
As you said, it is pretty annoying...
I will add a followup on this bug, and change the status to Need Signoff.

Mathieu
Comment 10 Galen Charlton 2013-05-30 17:40:58 UTC
I pinged Magnus on IRC about this bug, as presumably the NORMARC stylesheets should be updated as well.
Comment 11 Tomás Cohen Arazi 2013-06-04 15:55:28 UTC
This patch has been pushed to 3.12.x, will be in 3.12.1.

Leaving as ASSIGNED, waiting for the followups.
Comment 12 mathieu saby 2013-06-04 15:58:01 UTC
Sorry, my VM is broken, so the followups won't be there until some days...

Mathieu.
Comment 13 Bernardo Gonzalez Kriegel 2013-06-10 22:34:56 UTC
Pushed to 3.10.x, will be in 3.10.7

Leaving as ASSIGNED.
Comment 14 mathieu saby 2013-06-13 18:34:23 UTC Comment hidden (obsolete)
Comment 15 Liz Rea 2013-08-27 22:59:09 UTC
Title changed as MARC support has been pushed, and UNIMARC patches are waiting.
Comment 16 Bernardo Gonzalez Kriegel 2013-08-28 01:40:22 UTC Comment hidden (obsolete)
Comment 17 Bernardo Gonzalez Kriegel 2013-08-28 01:41:04 UTC Comment hidden (obsolete)
Comment 18 Katrin Fischer 2013-09-07 19:55:00 UTC Comment hidden (obsolete)
Comment 19 Galen Charlton 2013-09-07 20:57:59 UTC
Comment on attachment 20861 [details] [review]
[PASSED QA] Bug 10218:  Add individual CSS classes for bibliographic information in OPAC (UNIMARC)

Pushed to master.  Thanks, Mathieu!

Setting back to assigned; only NORMARC remains.
Comment 20 Magnus Enger 2013-09-30 07:34:31 UTC
There is already a bug called "Bug 7490 - Add CSS classes/ids to OPAC and staff NORMARC XSLT views" - I'll use that when I get around to dealing with this issue. Thanks for remembering poor old NORMARC! :-)
Comment 21 Tomás Cohen Arazi 2013-10-07 18:05:55 UTC
This patch has been pushed to 3.12.x, will be in 3.12.6.

Thanks Mathieu!

Marked 'Pushed to stable' as there's a NORMARC-specific bug for the remaining NORMARC fix.
Comment 22 Bernardo Gonzalez Kriegel 2013-10-13 22:50:50 UTC
Pushed to 3.10.x, will be in 3.10.12
Comment 23 mathieu saby 2013-10-19 14:13:59 UTC
Same changes must be made to new bootstrap opac.

Mathieu